/*!****************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??clonedRuleSet-13.use[1]!./node_modules/resolve-url-loader/index.js??clonedRuleSet-13.use[2]!./node_modules/sass-loader/dist/cjs.js??clonedRuleSet-13.use[3]!./assets/styles/home.scss ***!
  \****************************************************************************************************************************************************************************************************************************************/
@charset "UTF-8";
/* Slider */
.slick-slider {
  position: relative;
  display: block;
  box-sizing: border-box;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  -ms-touch-action: pan-y;
  touch-action: pan-y;
  -webkit-tap-highlight-color: transparent;
}

.slick-list {
  position: relative;
  overflow: hidden;
  display: block;
  margin: 0;
  padding: 0;
}
.slick-list:focus {
  outline: none;
}
.slick-list.dragging {
  cursor: pointer;
  cursor: hand;
}

.slick-slider .slick-track,
.slick-slider .slick-list {
  -webkit-transform: translate3d(0, 0, 0);
  -moz-transform: translate3d(0, 0, 0);
  -ms-transform: translate3d(0, 0, 0);
  -o-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
}

.slick-track {
  position: relative;
  left: 0;
  top: 0;
  display: block;
  margin-left: auto;
  margin-right: auto;
}
.slick-track:before, .slick-track:after {
  content: "";
  display: table;
}
.slick-track:after {
  clear: both;
}
.slick-loading .slick-track {
  visibility: hidden;
}

.slick-slide {
  float: left;
  height: 100%;
  min-height: 1px;
  display: none;
}
[dir=rtl] .slick-slide {
  float: right;
}
.slick-slide img {
  display: block;
}
.slick-slide.slick-loading img {
  display: none;
}
.slick-slide.dragging img {
  pointer-events: none;
}
.slick-initialized .slick-slide {
  display: block;
}
.slick-loading .slick-slide {
  visibility: hidden;
}
.slick-vertical .slick-slide {
  display: block;
  height: auto;
  border: 1px solid transparent;
}

.slick-arrow.slick-hidden {
  display: none;
}

/* Slider */
.slick-loading .slick-list {
  background: #fff url(/build/images/ajax-loader.fb6f3c23.gif) center center no-repeat;
}

/* Icons */
@font-face {
  font-family: "slick";
  src: url(/build/fonts/slick.a4e97f5a.eot);
  src: url(/build/fonts/slick.a4e97f5a.eot?#iefix) format("embedded-opentype"), url(/build/fonts/slick.29518378.woff) format("woff"), url(/build/fonts/slick.c94f7671.ttf) format("truetype"), url(/build/images/slick.2630a3e3.svg#slick) format("svg");
  font-weight: normal;
  font-style: normal;
}
/* Arrows */
.slick-prev,
.slick-next {
  position: absolute;
  display: block;
  height: 20px;
  width: 20px;
  line-height: 0px;
  font-size: 0px;
  cursor: pointer;
  background: transparent;
  color: transparent;
  top: 50%;
  -webkit-transform: translate(0, -50%);
  -ms-transform: translate(0, -50%);
  transform: translate(0, -50%);
  padding: 0;
  border: none;
  outline: none;
}
.slick-prev:hover, .slick-prev:focus,
.slick-next:hover,
.slick-next:focus {
  outline: none;
  background: transparent;
  color: transparent;
}
.slick-prev:hover:before, .slick-prev:focus:before,
.slick-next:hover:before,
.slick-next:focus:before {
  opacity: 1;
}
.slick-prev.slick-disabled:before,
.slick-next.slick-disabled:before {
  opacity: 0.25;
}
.slick-prev:before,
.slick-next:before {
  font-family: "slick";
  font-size: 20px;
  line-height: 1;
  color: white;
  opacity: 0.75;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.slick-prev {
  left: -25px;
}
[dir=rtl] .slick-prev {
  left: auto;
  right: -25px;
}
.slick-prev:before {
  content: "←";
}
[dir=rtl] .slick-prev:before {
  content: "→";
}

.slick-next {
  right: -25px;
}
[dir=rtl] .slick-next {
  left: -25px;
  right: auto;
}
.slick-next:before {
  content: "→";
}
[dir=rtl] .slick-next:before {
  content: "←";
}

/* Dots */
.slick-dotted.slick-slider {
  margin-bottom: 30px;
}

.slick-dots {
  position: absolute;
  bottom: -25px;
  list-style: none;
  display: block;
  text-align: center;
  padding: 0;
  margin: 0;
  width: 100%;
}
.slick-dots li {
  position: relative;
  display: inline-block;
  height: 20px;
  width: 20px;
  margin: 0 5px;
  padding: 0;
  cursor: pointer;
}
.slick-dots li button {
  border: 0;
  background: transparent;
  display: block;
  height: 20px;
  width: 20px;
  outline: none;
  line-height: 0px;
  font-size: 0px;
  color: transparent;
  padding: 5px;
  cursor: pointer;
}
.slick-dots li button:hover, .slick-dots li button:focus {
  outline: none;
}
.slick-dots li button:hover:before, .slick-dots li button:focus:before {
  opacity: 1;
}
.slick-dots li button:before {
  position: absolute;
  top: 0;
  left: 0;
  content: "•";
  width: 20px;
  height: 20px;
  font-family: "slick";
  font-size: 6px;
  line-height: 20px;
  text-align: center;
  color: black;
  opacity: 0.25;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
.slick-dots li.slick-active button:before {
  color: black;
  opacity: 0.75;
}

/* open-sans-regular - latin */
@font-face {
  font-family: "Mulish";
  src: url(/build/fonts/Mulish-VariableFont_wght.c3d26f19.ttf) format("truetype");
}
@font-face {
  font-family: "Ovo";
  src: url(/build/fonts/Ovo-Regular.4b6eafae.ttf) format("truetype");
}
body {
  font-family: "Mulish", sans-serif;
  font-size: 14px;
}

.ff-ovo {
  font-family: "Ovo", sans-serif;
}

.ff-mulish {
  font-family: "Mulish", sans-serif;
}

.bg-custom-gradient {
  background: linear-gradient(90deg, #6c757d, #ced4da);
}

.cursor-pointer {
  cursor: pointer;
}

.bg-cover {
  position: relative;
  background-size: cover !important;
  background-position: center center !important;
}
.bg-cover span.bg-overlay {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background-color: rgba(0, 0, 0, 0.4);
}
.form-control:focus {
  box-shadow: none;
  outline: 0;
}

.radio {
  margin: 0.5rem;
}
.radio input[type=radio] {
  position: absolute;
  opacity: 0;
}
.radio input[type=radio] + .radio-label:before {
  content: "";
  background: white;
  border-radius: 100%;
  border: 1px solid #565656;
  display: inline-block;
  width: 1.2em;
  height: 1.2em;
  position: relative;
  margin-right: 1em;
  vertical-align: top;
  cursor: pointer;
  text-align: center;
  transition: all 250ms ease;
  top: 2px;
}
.radio input[type=radio]:checked + .radio-label:before {
  background-color: #565656;
  box-shadow: inset 0 0 0 2px #ffffff;
}
.radio input[type=radio] + .radio-label:empty:before {
  margin-right: 0;
}

.container-product {
  border: 2px solid rgba(214, 214, 214, 0.4);
  border-radius: 8px;
  background-color: #ffffff;
  min-height: 350px;
  transition: all 0.4s;
  z-index: 100;
}
.container-product .container-image {
  padding-top: 40px !important;
  height: 177px;
  overflow: hidden;
  background-size: contain !important;
  background-repeat: no-repeat;
  background-position: center center;
}
.container-product .container-image.bg-product-default {
  background-size: 130px !important;
}
.container-product .container-image > div {
  top: 0;
  left: 10px;
}
.container-product .container-description {
  min-height: 150px;
}
.container-product .container-description .container-notation-average {
  min-height: 22px;
}
.container-product .container-description .container-title {
  min-height: 80px;
}
.container-product .container-description .apercu {
  font-weight: 600;
  color: #ffffff;
  overflow: hidden;
  transition: all 0.4s;
  font-size: 12px;
  left: 0;
  right: 0;
  bottom: 0;
  height: 0;
}
.container-product .container-description .apercu span {
  margin-top: 12px;
}
.container-product .container-description .apercu span i {
  font-size: 15px;
}
.container-product:hover {
  cursor: pointer;
  text-decoration: none;
  box-shadow: 0 2px 23px #E5E5E5;
  top: -5px !important;
}
@media screen and (max-width: 550px) {
  .container-product {
    min-height: 375px;
  }
  .container-product .container-description {
    min-height: 175px;
  }
}

div.certification {
  bottom: 20px;
  right: 20px;
}
div.certification div.container-made-in-france, div.certification div.container-made-in-italy {
  padding-top: 25px;
  font-size: 11px;
  width: 60px;
  height: 60px;
  line-height: 12px;
  top: 5px;
}
div.certification div.container-made-in-france:before, div.certification div.container-made-in-italy:before {
  content: url(/build/images/france.81bab0bf.svg);
  position: absolute;
  top: 0;
  left: 19px;
}
div.certification div.container-made-in-italy:before {
  content: url(/build/images/italy.0f82c9a0.png);
}
div.certification img {
  max-width: 50px;
}
@media (max-width: 767px) {
  div.certification {
    position: relative !important;
    bottom: initial;
    right: initial;
  }
}

.fotorama .fotorama__wrap {
  margin: auto;
}
.fotorama .fotorama__wrap .fotorama__nav-wrap {
  margin: 25px auto;
}

div.container-tab {
  min-height: 190px;
}
div.container-tab ul li a {
  transition: all 0.5s;
  border-bottom: 1px solid transparent;
}
div.container-tab ul li a.active {
  color: #000000 !important;
  border-bottom: 1px solid #565656;
}
div.container-tab h2 {
  font-family: "Ovo", sans-serif;
  font-size: 1.275rem !important;
}
div.container-tab h3 {
  font-family: "Ovo", sans-serif;
  font-size: 1.15rem !important;
  padding-top: 8px;
}

div.container-avis {
  border-bottom: 1px dashed #cccccc;
}
div.container-avis .firstname:before {
  font-family: "Font Awesome 6 Free", sans-serif;
  font-weight: 900;
  font-size: 13px;
  content: "\f007" !important;
  position: absolute;
  left: 3px;
  top: 0;
}

/*# sourceMappingURL=data:application/json;charset=utf-8;base64,eyJ2ZXJzaW9uIjozLCJmaWxlIjoiYXBwLWhwLmNzcyIsIm1hcHBpbmdzIjoiOzs7QUFBQSxnQkFBZ0I7QUNBaEI7QUFFQTtFQUNJO0VBQ0E7RUFDQTtFQUNBO0VBQ0E7RUFDQTtFQUNBO0VBQ0E7RUFDQTtFQUNBO0VBQ0E7RUFDQTtBRENKOztBQ0NBO0VBQ0k7RUFDQTtFQUNBO0VBQ0E7RUFDQTtBREVKO0FDQUk7RUFDSTtBREVSO0FDQ0k7RUFDSTtFQUNBO0FEQ1I7O0FDRUE7O0VBRUk7RUFDQTtFQUNBO0VBQ0E7RUFDQTtBRENKOztBQ0VBO0VBQ0k7RUFDQTtFQUNBO0VBQ0E7RUFDQTtFQUNBO0FEQ0o7QUNDSTtFQUVJO0VBQ0E7QURBUjtBQ0dJO0VBQ0k7QUREUjtBQ0lJO0VBQ0k7QURGUjs7QUNLQTtFQUNJO0VBQ0E7RUFDQTtFQVdBO0FEWko7QUNFSTtFQUNJO0FEQVI7QUNFSTtFQUNJO0FEQVI7QUNFSTtFQUNJO0FEQVI7QUNLSTtFQUNJO0FESFI7QUNNSTtFQUNJO0FESlI7QUNPSTtFQUNJO0FETFI7QUNRSTtFQUNJO0VBQ0E7RUFDQTtBRE5SOztBQ1NBO0VBQ0k7QUROSjs7QUVuREE7QUFHSTtFQUNJO0FGb0RSOztBRWhEQTtBQUVJO0VBQ0k7RUFDQTtFQUNBO0VBQ0E7RUFDQTtBRmtEUjtBRTlDQTtBQUVBOztFQUVJO0VBQ0E7RUFDQTtFQUNBO0VBQ0E7RUFDQTtFQUNBO0VBQ0E7RUFDQTtFQUNBO0VBQ0E7RUFDQTtFQUNBO0VBQ0E7RUFDQTtFQUNBO0FGK0NKO0FFOUNJOzs7RUFDSTtFQUNBO0VBQ0E7QUZrRFI7QUVqRFE7OztFQUNJLFVBakVhO0FGc0h6QjtBRWxESTs7RUFDSSxhQXBFbUI7QUZ5SDNCO0FFbkRJOztFQUNJLG9CQWxGWTtFQW1GWjtFQUNBO0VBQ0EsWUFuRlk7RUFvRlosYUE3RWdCO0VBOEVoQjtFQUNBO0FGc0RSOztBRWxEQTtFQUNJO0FGcURKO0FFcERJO0VBQ0k7RUFDQTtBRnNEUjtBRXBESTtFQUNJLFlBOUZlO0FGb0p2QjtBRXJEUTtFQUNJLFlBL0ZXO0FGc0p2Qjs7QUVsREE7RUFDSTtBRnFESjtBRXBESTtFQUNJO0VBQ0E7QUZzRFI7QUVwREk7RUFDSSxZQTNHZTtBRmlLdkI7QUVyRFE7RUFDSSxZQTlHVztBRnFLdkI7O0FFbERBO0FBRUE7RUFDSTtBRm9ESjs7QUVqREE7RUFDSTtFQUNBO0VBQ0E7RUFDQTtFQUNBO0VBQ0E7RUFDQTtFQUNBO0FGb0RKO0FFbkRJO0VBQ0k7RUFDQTtFQUNBO0VBQ0E7RUFDQTtFQUNBO0VBQ0E7QUZxRFI7QUVwRFE7RUFDSTtFQUNBO0VBQ0E7RUFDQTtFQUNBO0VBQ0E7RUFDQTtFQUNBO0VBQ0E7RUFDQTtFQUNBO0FGc0RaO0FFckRZO0VBQ0k7QUZ1RGhCO0FFdERnQjtFQUNJLFVBcEpLO0FGNE16QjtBRXJEWTtFQUNJO0VBQ0E7RUFDQTtFQUNBLFlBOUpNO0VBK0pOO0VBQ0E7RUFDQSxvQkF4S0k7RUF5S0osY0FqS0M7RUFrS0Q7RUFDQTtFQUNBLFlBektFO0VBMEtGLGFBbEtXO0VBbUtYO0VBQ0E7QUZ1RGhCO0FFcERRO0VBQ0ksWUFoTE07RUFpTE4sYUEzS1k7QUZpT3hCOztBRzVPQTtBQUNBO0VBQ0U7RUFDQTtBSCtPRjtBRzdPQTtFQUNFO0VBQ0E7QUgrT0Y7QUc1T0E7RUFDRTtFQUNBO0FIOE9GOztBR2xPQTtFQUNFO0FIcU9GOztBR25PQTtFQUNFO0FIc09GOztBR3BPQTtFQUNFO0FIdU9GOztBR3JPQTtFQUNFO0FId09GOztBR3RPQTtFQUNFO0VBQ0E7RUFDQTtBSHlPRjtBR3hPRTtFQUNFO0VBQ0E7RUFBTztFQUFRO0VBQVU7RUFDekI7QUg2T0o7QUduT0U7RUFDRTtFQUNBO0FIcU9KOztBR2hPQTtFQUNFO0FIbU9GO0FHbE9FO0VBQ0U7RUFDQTtBSG9PSjtBR2xPTTtFQUNFO0VBQ0E7RUFDQTtFQUNBO0VBQ0E7RUFDQTtFQUNBO0VBQ0E7RUFDQTtFQUNBO0VBQ0E7RUFDQTtFQUNBO0VBQ0E7QUhvT1I7QUcvTlE7RUFFRSx5QkE1Rkg7RUE2Rkc7QUhnT1Y7QUcxTlE7RUFDRTtBSDROVjs7QUloVUE7RUFDRTtFQUNBO0VBQ0E7RUFDQTtFQUNBO0VBQ0E7QUptVUY7QUlsVUU7RUFDRTtFQUNBO0VBQ0E7RUFDQTtFQUNBO0VBQ0E7QUpvVUo7QUluVUk7RUFDRTtBSnFVTjtBSW5VSTtFQUNFO0VBQ0E7QUpxVU47QUlsVUU7RUFDRTtBSm9VSjtBSW5VSTtFQUNFO0FKcVVOO0FJblVJO0VBQ0U7QUpxVU47QUluVUk7RUFDRTtFQUNBO0VBQ0E7RUFDQTtFQUNBO0VBQ0E7RUFDQTtFQUNBO0VBQ0E7QUpxVU47QUlwVU07RUFDRTtBSnNVUjtBSXJVUTtFQUNFO0FKdVVWO0FJbFVFO0VBQ0U7RUFDQTtFQUNBO0VBQ0E7QUpvVUo7QUlsVUU7RUF0REY7SUF1REk7RUpxVUY7RUlwVUU7SUFDRTtFSnNVSjtBQUNGOztBSWxVQTtFQUNFO0VBQWM7QUpzVWhCO0FJclVFO0VBQ0U7RUFDQTtFQUNBO0VBQWE7RUFDYjtFQUNBO0FKd1VKO0FJdlVJO0VBQ0U7RUFDQTtFQUNBO0VBQ0E7QUp5VU47QUlyVUk7RUFDRTtBSnVVTjtBSXBVRTtFQUNFO0FKc1VKO0FLbFpFO0VEdURGO0lBeUJJO0lBQ0E7SUFDQTtFSnNVRjtBQUNGOztBSWxVRTtFQUNFO0FKcVVKO0FJcFVJO0VBQ0U7QUpzVU47O0FJalVBO0VBQ0U7QUpvVUY7QUlqVU07RUFDRTtFQUNBO0FKbVVSO0FJbFVRO0VBRUU7RUFDQTtBSm1VVjtBSTlURTtFQUNFO0VBQ0E7QUpnVUo7QUk5VEU7RUFDRTtFQUNBO0VBQ0E7QUpnVUo7O0FJNVRBO0VBQ0U7QUorVEY7QUk3VE07RUFDRTtFQUNBO0VBQ0E7RUFDQTtFQUNBO0VBQ0E7RUFDQTtBSitUUixDIiwic291cmNlcyI6WyJ3ZWJwYWNrOi8vLy4vYXNzZXRzL3N0eWxlcy9ob21lLnNjc3MiLCJ3ZWJwYWNrOi8vLy4vbm9kZV9tb2R1bGVzL3NsaWNrLWNhcm91c2VsL3NsaWNrL3NsaWNrLnNjc3MiLCJ3ZWJwYWNrOi8vLy4vbm9kZV9tb2R1bGVzL3NsaWNrLWNhcm91c2VsL3NsaWNrL3NsaWNrLXRoZW1lLnNjc3MiLCJ3ZWJwYWNrOi8vLy4vYXNzZXRzL3N0eWxlcy9fY3VzdG9tLnNjc3MiLCJ3ZWJwYWNrOi8vLy4vYXNzZXRzL3N0eWxlcy9wcm9kdWN0LnNjc3MiLCJ3ZWJwYWNrOi8vLy4vYXNzZXRzL3N0eWxlcy9taXhpbi5zY3NzIl0sInNvdXJjZXNDb250ZW50IjpbIkBjaGFyc2V0IFwiVVRGLThcIjtcbi8qIFNsaWRlciAqL1xuLnNsaWNrLXNsaWRlciB7XG4gIHBvc2l0aW9uOiByZWxhdGl2ZTtcbiAgZGlzcGxheTogYmxvY2s7XG4gIGJveC1zaXppbmc6IGJvcmRlci1ib3g7XG4gIC13ZWJraXQtdG91Y2gtY2FsbG91dDogbm9uZTtcbiAgLXdlYmtpdC11c2VyLXNlbGVjdDogbm9uZTtcbiAgLWtodG1sLXVzZXItc2VsZWN0OiBub25lO1xuICAtbW96LXVzZXItc2VsZWN0OiBub25lO1xuICAtbXMtdXNlci1zZWxlY3Q6IG5vbmU7XG4gIHVzZXItc2VsZWN0OiBub25lO1xuICAtbXMtdG91Y2gtYWN0aW9uOiBwYW4teTtcbiAgdG91Y2gtYWN0aW9uOiBwYW4teTtcbiAgLXdlYmtpdC10YXAtaGlnaGxpZ2h0LWNvbG9yOiB0cmFuc3BhcmVudDtcbn1cblxuLnNsaWNrLWxpc3Qge1xuICBwb3NpdGlvbjogcmVsYXRpdmU7XG4gIG92ZXJmbG93OiBoaWRkZW47XG4gIGRpc3BsYXk6IGJsb2NrO1xuICBtYXJnaW46IDA7XG4gIHBhZGRpbmc6IDA7XG59XG4uc2xpY2stbGlzdDpmb2N1cyB7XG4gIG91dGxpbmU6IG5vbmU7XG59XG4uc2xpY2stbGlzdC5kcmFnZ2luZyB7XG4gIGN1cnNvcjogcG9pbnRlcjtcbiAgY3Vyc29yOiBoYW5kO1xufVxuXG4uc2xpY2stc2xpZGVyIC5zbGljay10cmFjayxcbi5zbGljay1zbGlkZXIgLnNsaWNrLWxpc3Qge1xuICAtd2Via2l0LXRyYW5zZm9ybTogdHJhbnNsYXRlM2QoMCwgMCwgMCk7XG4gIC1tb3otdHJhbnNmb3JtOiB0cmFuc2xhdGUzZCgwLCAwLCAwKTtcbiAgLW1zLXRyYW5zZm9ybTogdHJhbnNsYXRlM2QoMCwgMCwgMCk7XG4gIC1vLXRyYW5zZm9ybTogdHJhbnNsYXRlM2QoMCwgMCwgMCk7XG4gIHRyYW5zZm9ybTogdHJhbnNsYXRlM2QoMCwgMCwgMCk7XG59XG5cbi5zbGljay10cmFjayB7XG4gIHBvc2l0aW9uOiByZWxhdGl2ZTtcbiAgbGVmdDogMDtcbiAgdG9wOiAwO1xuICBkaXNwbGF5OiBibG9jaztcbiAgbWFyZ2luLWxlZnQ6IGF1dG87XG4gIG1hcmdpbi1yaWdodDogYXV0bztcbn1cbi5zbGljay10cmFjazpiZWZvcmUsIC5zbGljay10cmFjazphZnRlciB7XG4gIGNvbnRlbnQ6IFwiXCI7XG4gIGRpc3BsYXk6IHRhYmxlO1xufVxuLnNsaWNrLXRyYWNrOmFmdGVyIHtcbiAgY2xlYXI6IGJvdGg7XG59XG4uc2xpY2stbG9hZGluZyAuc2xpY2stdHJhY2sge1xuICB2aXNpYmlsaXR5OiBoaWRkZW47XG59XG5cbi5zbGljay1zbGlkZSB7XG4gIGZsb2F0OiBsZWZ0O1xuICBoZWlnaHQ6IDEwMCU7XG4gIG1pbi1oZWlnaHQ6IDFweDtcbiAgZGlzcGxheTogbm9uZTtcbn1cbltkaXI9cnRsXSAuc2xpY2stc2xpZGUge1xuICBmbG9hdDogcmlnaHQ7XG59XG4uc2xpY2stc2xpZGUgaW1nIHtcbiAgZGlzcGxheTogYmxvY2s7XG59XG4uc2xpY2stc2xpZGUuc2xpY2stbG9hZGluZyBpbWcge1xuICBkaXNwbGF5OiBub25lO1xufVxuLnNsaWNrLXNsaWRlLmRyYWdnaW5nIGltZyB7XG4gIHBvaW50ZXItZXZlbnRzOiBub25lO1xufVxuLnNsaWNrLWluaXRpYWxpemVkIC5zbGljay1zbGlkZSB7XG4gIGRpc3BsYXk6IGJsb2NrO1xufVxuLnNsaWNrLWxvYWRpbmcgLnNsaWNrLXNsaWRlIHtcbiAgdmlzaWJpbGl0eTogaGlkZGVuO1xufVxuLnNsaWNrLXZlcnRpY2FsIC5zbGljay1zbGlkZSB7XG4gIGRpc3BsYXk6IGJsb2NrO1xuICBoZWlnaHQ6IGF1dG87XG4gIGJvcmRlcjogMXB4IHNvbGlkIHRyYW5zcGFyZW50O1xufVxuXG4uc2xpY2stYXJyb3cuc2xpY2staGlkZGVuIHtcbiAgZGlzcGxheTogbm9uZTtcbn1cblxuLyogU2xpZGVyICovXG4uc2xpY2stbG9hZGluZyAuc2xpY2stbGlzdCB7XG4gIGJhY2tncm91bmQ6ICNmZmYgdXJsKFwiLi9hamF4LWxvYWRlci5naWZcIikgY2VudGVyIGNlbnRlciBuby1yZXBlYXQ7XG59XG5cbi8qIEljb25zICovXG5AZm9udC1mYWNlIHtcbiAgZm9udC1mYW1pbHk6IFwic2xpY2tcIjtcbiAgc3JjOiB1cmwoXCIuL2ZvbnRzL3NsaWNrLmVvdFwiKTtcbiAgc3JjOiB1cmwoXCIuL2ZvbnRzL3NsaWNrLmVvdD8jaWVmaXhcIikgZm9ybWF0KFwiZW1iZWRkZWQtb3BlbnR5cGVcIiksIHVybChcIi4vZm9udHMvc2xpY2sud29mZlwiKSBmb3JtYXQoXCJ3b2ZmXCIpLCB1cmwoXCIuL2ZvbnRzL3NsaWNrLnR0ZlwiKSBmb3JtYXQoXCJ0cnVldHlwZVwiKSwgdXJsKFwiLi9mb250cy9zbGljay5zdmcjc2xpY2tcIikgZm9ybWF0KFwic3ZnXCIpO1xuICBmb250LXdlaWdodDogbm9ybWFsO1xuICBmb250LXN0eWxlOiBub3JtYWw7XG59XG4vKiBBcnJvd3MgKi9cbi5zbGljay1wcmV2LFxuLnNsaWNrLW5leHQge1xuICBwb3NpdGlvbjogYWJzb2x1dGU7XG4gIGRpc3BsYXk6IGJsb2NrO1xuICBoZWlnaHQ6IDIwcHg7XG4gIHdpZHRoOiAyMHB4O1xuICBsaW5lLWhlaWdodDogMHB4O1xuICBmb250LXNpemU6IDBweDtcbiAgY3Vyc29yOiBwb2ludGVyO1xuICBiYWNrZ3JvdW5kOiB0cmFuc3BhcmVudDtcbiAgY29sb3I6IHRyYW5zcGFyZW50O1xuICB0b3A6IDUwJTtcbiAgLXdlYmtpdC10cmFuc2Zvcm06IHRyYW5zbGF0ZSgwLCAtNTAlKTtcbiAgLW1zLXRyYW5zZm9ybTogdHJhbnNsYXRlKDAsIC01MCUpO1xuICB0cmFuc2Zvcm06IHRyYW5zbGF0ZSgwLCAtNTAlKTtcbiAgcGFkZGluZzogMDtcbiAgYm9yZGVyOiBub25lO1xuICBvdXRsaW5lOiBub25lO1xufVxuLnNsaWNrLXByZXY6aG92ZXIsIC5zbGljay1wcmV2OmZvY3VzLFxuLnNsaWNrLW5leHQ6aG92ZXIsXG4uc2xpY2stbmV4dDpmb2N1cyB7XG4gIG91dGxpbmU6IG5vbmU7XG4gIGJhY2tncm91bmQ6IHRyYW5zcGFyZW50O1xuICBjb2xvcjogdHJhbnNwYXJlbnQ7XG59XG4uc2xpY2stcHJldjpob3ZlcjpiZWZvcmUsIC5zbGljay1wcmV2OmZvY3VzOmJlZm9yZSxcbi5zbGljay1uZXh0OmhvdmVyOmJlZm9yZSxcbi5zbGljay1uZXh0OmZvY3VzOmJlZm9yZSB7XG4gIG9wYWNpdHk6IDE7XG59XG4uc2xpY2stcHJldi5zbGljay1kaXNhYmxlZDpiZWZvcmUsXG4uc2xpY2stbmV4dC5zbGljay1kaXNhYmxlZDpiZWZvcmUge1xuICBvcGFjaXR5OiAwLjI1O1xufVxuLnNsaWNrLXByZXY6YmVmb3JlLFxuLnNsaWNrLW5leHQ6YmVmb3JlIHtcbiAgZm9udC1mYW1pbHk6IFwic2xpY2tcIjtcbiAgZm9udC1zaXplOiAyMHB4O1xuICBsaW5lLWhlaWdodDogMTtcbiAgY29sb3I6IHdoaXRlO1xuICBvcGFjaXR5OiAwLjc1O1xuICAtd2Via2l0LWZvbnQtc21vb3RoaW5nOiBhbnRpYWxpYXNlZDtcbiAgLW1vei1vc3gtZm9udC1zbW9vdGhpbmc6IGdyYXlzY2FsZTtcbn1cblxuLnNsaWNrLXByZXYge1xuICBsZWZ0OiAtMjVweDtcbn1cbltkaXI9cnRsXSAuc2xpY2stcHJldiB7XG4gIGxlZnQ6IGF1dG87XG4gIHJpZ2h0OiAtMjVweDtcbn1cbi5zbGljay1wcmV2OmJlZm9yZSB7XG4gIGNvbnRlbnQ6IFwi4oaQXCI7XG59XG5bZGlyPXJ0bF0gLnNsaWNrLXByZXY6YmVmb3JlIHtcbiAgY29udGVudDogXCLihpJcIjtcbn1cblxuLnNsaWNrLW5leHQge1xuICByaWdodDogLTI1cHg7XG59XG5bZGlyPXJ0bF0gLnNsaWNrLW5leHQge1xuICBsZWZ0OiAtMjVweDtcbiAgcmlnaHQ6IGF1dG87XG59XG4uc2xpY2stbmV4dDpiZWZvcmUge1xuICBjb250ZW50OiBcIuKGklwiO1xufVxuW2Rpcj1ydGxdIC5zbGljay1uZXh0OmJlZm9yZSB7XG4gIGNvbnRlbnQ6IFwi4oaQXCI7XG59XG5cbi8qIERvdHMgKi9cbi5zbGljay1kb3R0ZWQuc2xpY2stc2xpZGVyIHtcbiAgbWFyZ2luLWJvdHRvbTogMzBweDtcbn1cblxuLnNsaWNrLWRvdHMge1xuICBwb3NpdGlvbjogYWJzb2x1dGU7XG4gIGJvdHRvbTogLTI1cHg7XG4gIGxpc3Qtc3R5bGU6IG5vbmU7XG4gIGRpc3BsYXk6IGJsb2NrO1xuICB0ZXh0LWFsaWduOiBjZW50ZXI7XG4gIHBhZGRpbmc6IDA7XG4gIG1hcmdpbjogMDtcbiAgd2lkdGg6IDEwMCU7XG59XG4uc2xpY2stZG90cyBsaSB7XG4gIHBvc2l0aW9uOiByZWxhdGl2ZTtcbiAgZGlzcGxheTogaW5saW5lLWJsb2NrO1xuICBoZWlnaHQ6IDIwcHg7XG4gIHdpZHRoOiAyMHB4O1xuICBtYXJnaW46IDAgNXB4O1xuICBwYWRkaW5nOiAwO1xuICBjdXJzb3I6IHBvaW50ZXI7XG59XG4uc2xpY2stZG90cyBsaSBidXR0b24ge1xuICBib3JkZXI6IDA7XG4gIGJhY2tncm91bmQ6IHRyYW5zcGFyZW50O1xuICBkaXNwbGF5OiBibG9jaztcbiAgaGVpZ2h0OiAyMHB4O1xuICB3aWR0aDogMjBweDtcbiAgb3V0bGluZTogbm9uZTtcbiAgbGluZS1oZWlnaHQ6IDBweDtcbiAgZm9udC1zaXplOiAwcHg7XG4gIGNvbG9yOiB0cmFuc3BhcmVudDtcbiAgcGFkZGluZzogNXB4O1xuICBjdXJzb3I6IHBvaW50ZXI7XG59XG4uc2xpY2stZG90cyBsaSBidXR0b246aG92ZXIsIC5zbGljay1kb3RzIGxpIGJ1dHRvbjpmb2N1cyB7XG4gIG91dGxpbmU6IG5vbmU7XG59XG4uc2xpY2stZG90cyBsaSBidXR0b246aG92ZXI6YmVmb3JlLCAuc2xpY2stZG90cyBsaSBidXR0b246Zm9jdXM6YmVmb3JlIHtcbiAgb3BhY2l0eTogMTtcbn1cbi5zbGljay1kb3RzIGxpIGJ1dHRvbjpiZWZvcmUge1xuICBwb3NpdGlvbjogYWJzb2x1dGU7XG4gIHRvcDogMDtcbiAgbGVmdDogMDtcbiAgY29udGVudDogXCLigKJcIjtcbiAgd2lkdGg6IDIwcHg7XG4gIGhlaWdodDogMjBweDtcbiAgZm9udC1mYW1pbHk6IFwic2xpY2tcIjtcbiAgZm9udC1zaXplOiA2cHg7XG4gIGxpbmUtaGVpZ2h0OiAyMHB4O1xuICB0ZXh0LWFsaWduOiBjZW50ZXI7XG4gIGNvbG9yOiBibGFjaztcbiAgb3BhY2l0eTogMC4yNTtcbiAgLXdlYmtpdC1mb250LXNtb290aGluZzogYW50aWFsaWFzZWQ7XG4gIC1tb3otb3N4LWZvbnQtc21vb3RoaW5nOiBncmF5c2NhbGU7XG59XG4uc2xpY2stZG90cyBsaS5zbGljay1hY3RpdmUgYnV0dG9uOmJlZm9yZSB7XG4gIGNvbG9yOiBibGFjaztcbiAgb3BhY2l0eTogMC43NTtcbn1cblxuLyogb3Blbi1zYW5zLXJlZ3VsYXIgLSBsYXRpbiAqL1xuQGZvbnQtZmFjZSB7XG4gIGZvbnQtZmFtaWx5OiBcIk11bGlzaFwiO1xuICBzcmM6IHVybChcIi4uL2ZvbnRzL011bGlzaC1WYXJpYWJsZUZvbnRfd2dodC50dGZcIikgZm9ybWF0KFwidHJ1ZXR5cGVcIik7XG59XG5AZm9udC1mYWNlIHtcbiAgZm9udC1mYW1pbHk6IFwiT3ZvXCI7XG4gIHNyYzogdXJsKFwiLi4vZm9udHMvT3ZvLVJlZ3VsYXIudHRmXCIpIGZvcm1hdChcInRydWV0eXBlXCIpO1xufVxuYm9keSB7XG4gIGZvbnQtZmFtaWx5OiBcIk11bGlzaFwiLCBzYW5zLXNlcmlmO1xuICBmb250LXNpemU6IDE0cHg7XG59XG5cbi5mZi1vdm8ge1xuICBmb250LWZhbWlseTogXCJPdm9cIiwgc2Fucy1zZXJpZjtcbn1cblxuLmZmLW11bGlzaCB7XG4gIGZvbnQtZmFtaWx5OiBcIk11bGlzaFwiLCBzYW5zLXNlcmlmO1xufVxuXG4uYmctY3VzdG9tLWdyYWRpZW50IHtcbiAgYmFja2dyb3VuZDogbGluZWFyLWdyYWRpZW50KDkwZGVnLCAjNmM3NTdkLCAjY2VkNGRhKTtcbn1cblxuLmN1cnNvci1wb2ludGVyIHtcbiAgY3Vyc29yOiBwb2ludGVyO1xufVxuXG4uYmctY292ZXIge1xuICBwb3NpdGlvbjogcmVsYXRpdmU7XG4gIGJhY2tncm91bmQtc2l6ZTogY292ZXIgIWltcG9ydGFudDtcbiAgYmFja2dyb3VuZC1wb3NpdGlvbjogY2VudGVyIGNlbnRlciAhaW1wb3J0YW50O1xufVxuLmJnLWNvdmVyIHNwYW4uYmctb3ZlcmxheSB7XG4gIHBvc2l0aW9uOiBhYnNvbHV0ZTtcbiAgdG9wOiAwO1xuICBsZWZ0OiAwO1xuICBib3R0b206IDA7XG4gIHJpZ2h0OiAwO1xuICBiYWNrZ3JvdW5kLWNvbG9yOiByZ2JhKDAsIDAsIDAsIDAuNCk7XG59XG4uZm9ybS1jb250cm9sOmZvY3VzIHtcbiAgYm94LXNoYWRvdzogbm9uZTtcbiAgb3V0bGluZTogMDtcbn1cblxuLnJhZGlvIHtcbiAgbWFyZ2luOiAwLjVyZW07XG59XG4ucmFkaW8gaW5wdXRbdHlwZT1yYWRpb10ge1xuICBwb3NpdGlvbjogYWJzb2x1dGU7XG4gIG9wYWNpdHk6IDA7XG59XG4ucmFkaW8gaW5wdXRbdHlwZT1yYWRpb10gKyAucmFkaW8tbGFiZWw6YmVmb3JlIHtcbiAgY29udGVudDogXCJcIjtcbiAgYmFja2dyb3VuZDogd2hpdGU7XG4gIGJvcmRlci1yYWRpdXM6IDEwMCU7XG4gIGJvcmRlcjogMXB4IHNvbGlkICM1NjU2NTY7XG4gIGRpc3BsYXk6IGlubGluZS1ibG9jaztcbiAgd2lkdGg6IDEuMmVtO1xuICBoZWlnaHQ6IDEuMmVtO1xuICBwb3NpdGlvbjogcmVsYXRpdmU7XG4gIG1hcmdpbi1yaWdodDogMWVtO1xuICB2ZXJ0aWNhbC1hbGlnbjogdG9wO1xuICBjdXJzb3I6IHBvaW50ZXI7XG4gIHRleHQtYWxpZ246IGNlbnRlcjtcbiAgdHJhbnNpdGlvbjogYWxsIDI1MG1zIGVhc2U7XG4gIHRvcDogMnB4O1xufVxuLnJhZGlvIGlucHV0W3R5cGU9cmFkaW9dOmNoZWNrZWQgKyAucmFkaW8tbGFiZWw6YmVmb3JlIHtcbiAgYmFja2dyb3VuZC1jb2xvcjogIzU2NTY1NjtcbiAgYm94LXNoYWRvdzogaW5zZXQgMCAwIDAgMnB4ICNmZmZmZmY7XG59XG4ucmFkaW8gaW5wdXRbdHlwZT1yYWRpb10gKyAucmFkaW8tbGFiZWw6ZW1wdHk6YmVmb3JlIHtcbiAgbWFyZ2luLXJpZ2h0OiAwO1xufVxuXG4uY29udGFpbmVyLXByb2R1Y3Qge1xuICBib3JkZXI6IDJweCBzb2xpZCByZ2JhKDIxNCwgMjE0LCAyMTQsIDAuNCk7XG4gIGJvcmRlci1yYWRpdXM6IDhweDtcbiAgYmFja2dyb3VuZC1jb2xvcjogI2ZmZmZmZjtcbiAgbWluLWhlaWdodDogMzUwcHg7XG4gIHRyYW5zaXRpb246IGFsbCAwLjRzO1xuICB6LWluZGV4OiAxMDA7XG59XG4uY29udGFpbmVyLXByb2R1Y3QgLmNvbnRhaW5lci1pbWFnZSB7XG4gIHBhZGRpbmctdG9wOiA0MHB4ICFpbXBvcnRhbnQ7XG4gIGhlaWdodDogMTc3cHg7XG4gIG92ZXJmbG93OiBoaWRkZW47XG4gIGJhY2tncm91bmQtc2l6ZTogY29udGFpbiAhaW1wb3J0YW50O1xuICBiYWNrZ3JvdW5kLXJlcGVhdDogbm8tcmVwZWF0O1xuICBiYWNrZ3JvdW5kLXBvc2l0aW9uOiBjZW50ZXIgY2VudGVyO1xufVxuLmNvbnRhaW5lci1wcm9kdWN0IC5jb250YWluZXItaW1hZ2UuYmctcHJvZHVjdC1kZWZhdWx0IHtcbiAgYmFja2dyb3VuZC1zaXplOiAxMzBweCAhaW1wb3J0YW50O1xufVxuLmNvbnRhaW5lci1wcm9kdWN0IC5jb250YWluZXItaW1hZ2UgPiBkaXYge1xuICB0b3A6IDA7XG4gIGxlZnQ6IDEwcHg7XG59XG4uY29udGFpbmVyLXByb2R1Y3QgLmNvbnRhaW5lci1kZXNjcmlwdGlvbiB7XG4gIG1pbi1oZWlnaHQ6IDE1MHB4O1xufVxuLmNvbnRhaW5lci1wcm9kdWN0IC5jb250YWluZXItZGVzY3JpcHRpb24gLmNvbnRhaW5lci1ub3RhdGlvbi1hdmVyYWdlIHtcbiAgbWluLWhlaWdodDogMjJweDtcbn1cbi5jb250YWluZXItcHJvZHVjdCAuY29udGFpbmVyLWRlc2NyaXB0aW9uIC5jb250YWluZXItdGl0bGUge1xuICBtaW4taGVpZ2h0OiA4MHB4O1xufVxuLmNvbnRhaW5lci1wcm9kdWN0IC5jb250YWluZXItZGVzY3JpcHRpb24gLmFwZXJjdSB7XG4gIGZvbnQtd2VpZ2h0OiA2MDA7XG4gIGNvbG9yOiAjZmZmZmZmO1xuICBvdmVyZmxvdzogaGlkZGVuO1xuICB0cmFuc2l0aW9uOiBhbGwgMC40cztcbiAgZm9udC1zaXplOiAxMnB4O1xuICBsZWZ0OiAwO1xuICByaWdodDogMDtcbiAgYm90dG9tOiAwO1xuICBoZWlnaHQ6IDA7XG59XG4uY29udGFpbmVyLXByb2R1Y3QgLmNvbnRhaW5lci1kZXNjcmlwdGlvbiAuYXBlcmN1IHNwYW4ge1xuICBtYXJnaW4tdG9wOiAxMnB4O1xufVxuLmNvbnRhaW5lci1wcm9kdWN0IC5jb250YWluZXItZGVzY3JpcHRpb24gLmFwZXJjdSBzcGFuIGkge1xuICBmb250LXNpemU6IDE1cHg7XG59XG4uY29udGFpbmVyLXByb2R1Y3Q6aG92ZXIge1xuICBjdXJzb3I6IHBvaW50ZXI7XG4gIHRleHQtZGVjb3JhdGlvbjogbm9uZTtcbiAgYm94LXNoYWRvdzogMCAycHggMjNweCAjRTVFNUU1O1xuICB0b3A6IC01cHggIWltcG9ydGFudDtcbn1cbkBtZWRpYSBzY3JlZW4gYW5kIChtYXgtd2lkdGg6IDU1MHB4KSB7XG4gIC5jb250YWluZXItcHJvZHVjdCB7XG4gICAgbWluLWhlaWdodDogMzc1cHg7XG4gIH1cbiAgLmNvbnRhaW5lci1wcm9kdWN0IC5jb250YWluZXItZGVzY3JpcHRpb24ge1xuICAgIG1pbi1oZWlnaHQ6IDE3NXB4O1xuICB9XG59XG5cbmRpdi5jZXJ0aWZpY2F0aW9uIHtcbiAgYm90dG9tOiAyMHB4O1xuICByaWdodDogMjBweDtcbn1cbmRpdi5jZXJ0aWZpY2F0aW9uIGRpdi5jb250YWluZXItbWFkZS1pbi1mcmFuY2UsIGRpdi5jZXJ0aWZpY2F0aW9uIGRpdi5jb250YWluZXItbWFkZS1pbi1pdGFseSB7XG4gIHBhZGRpbmctdG9wOiAyNXB4O1xuICBmb250LXNpemU6IDExcHg7XG4gIHdpZHRoOiA2MHB4O1xuICBoZWlnaHQ6IDYwcHg7XG4gIGxpbmUtaGVpZ2h0OiAxMnB4O1xuICB0b3A6IDVweDtcbn1cbmRpdi5jZXJ0aWZpY2F0aW9uIGRpdi5jb250YWluZXItbWFkZS1pbi1mcmFuY2U6YmVmb3JlLCBkaXYuY2VydGlmaWNhdGlvbiBkaXYuY29udGFpbmVyLW1hZGUtaW4taXRhbHk6YmVmb3JlIHtcbiAgY29udGVudDogdXJsKFwiL3B1YmxpYy9pbWcvc2hvcC9mcmFuY2Uuc3ZnXCIpO1xuICBwb3NpdGlvbjogYWJzb2x1dGU7XG4gIHRvcDogMDtcbiAgbGVmdDogMTlweDtcbn1cbmRpdi5jZXJ0aWZpY2F0aW9uIGRpdi5jb250YWluZXItbWFkZS1pbi1pdGFseTpiZWZvcmUge1xuICBjb250ZW50OiB1cmwoXCIvcHVibGljL2ltZy9zaG9wL2l0YWx5LnBuZ1wiKTtcbn1cbmRpdi5jZXJ0aWZpY2F0aW9uIGltZyB7XG4gIG1heC13aWR0aDogNTBweDtcbn1cbkBtZWRpYSAobWF4LXdpZHRoOiA3NjdweCkge1xuICBkaXYuY2VydGlmaWNhdGlvbiB7XG4gICAgcG9zaXRpb246IHJlbGF0aXZlICFpbXBvcnRhbnQ7XG4gICAgYm90dG9tOiBpbml0aWFsO1xuICAgIHJpZ2h0OiBpbml0aWFsO1xuICB9XG59XG5cbi5mb3RvcmFtYSAuZm90b3JhbWFfX3dyYXAge1xuICBtYXJnaW46IGF1dG87XG59XG4uZm90b3JhbWEgLmZvdG9yYW1hX193cmFwIC5mb3RvcmFtYV9fbmF2LXdyYXAge1xuICBtYXJnaW46IDI1cHggYXV0bztcbn1cblxuZGl2LmNvbnRhaW5lci10YWIge1xuICBtaW4taGVpZ2h0OiAxOTBweDtcbn1cbmRpdi5jb250YWluZXItdGFiIHVsIGxpIGEge1xuICB0cmFuc2l0aW9uOiBhbGwgMC41cztcbiAgYm9yZGVyLWJvdHRvbTogMXB4IHNvbGlkIHRyYW5zcGFyZW50O1xufVxuZGl2LmNvbnRhaW5lci10YWIgdWwgbGkgYS5hY3RpdmUge1xuICBjb2xvcjogIzAwMDAwMCAhaW1wb3J0YW50O1xuICBib3JkZXItYm90dG9tOiAxcHggc29saWQgIzU2NTY1Njtcbn1cbmRpdi5jb250YWluZXItdGFiIGgyIHtcbiAgZm9udC1mYW1pbHk6IFwiT3ZvXCIsIHNhbnMtc2VyaWY7XG4gIGZvbnQtc2l6ZTogMS4yNzVyZW0gIWltcG9ydGFudDtcbn1cbmRpdi5jb250YWluZXItdGFiIGgzIHtcbiAgZm9udC1mYW1pbHk6IFwiT3ZvXCIsIHNhbnMtc2VyaWY7XG4gIGZvbnQtc2l6ZTogMS4xNXJlbSAhaW1wb3J0YW50O1xuICBwYWRkaW5nLXRvcDogOHB4O1xufVxuXG5kaXYuY29udGFpbmVyLWF2aXMge1xuICBib3JkZXItYm90dG9tOiAxcHggZGFzaGVkICNjY2NjY2M7XG59XG5kaXYuY29udGFpbmVyLWF2aXMgLmZpcnN0bmFtZTpiZWZvcmUge1xuICBmb250LWZhbWlseTogXCJGb250IEF3ZXNvbWUgNiBGcmVlXCIsIHNhbnMtc2VyaWY7XG4gIGZvbnQtd2VpZ2h0OiA5MDA7XG4gIGZvbnQtc2l6ZTogMTNweDtcbiAgY29udGVudDogXCJcXGYwMDdcIiAhaW1wb3J0YW50O1xuICBwb3NpdGlvbjogYWJzb2x1dGU7XG4gIGxlZnQ6IDNweDtcbiAgdG9wOiAwO1xufSIsIi8qIFNsaWRlciAqL1xuXG4uc2xpY2stc2xpZGVyIHtcbiAgICBwb3NpdGlvbjogcmVsYXRpdmU7XG4gICAgZGlzcGxheTogYmxvY2s7XG4gICAgYm94LXNpemluZzogYm9yZGVyLWJveDtcbiAgICAtd2Via2l0LXRvdWNoLWNhbGxvdXQ6IG5vbmU7XG4gICAgLXdlYmtpdC11c2VyLXNlbGVjdDogbm9uZTtcbiAgICAta2h0bWwtdXNlci1zZWxlY3Q6IG5vbmU7XG4gICAgLW1vei11c2VyLXNlbGVjdDogbm9uZTtcbiAgICAtbXMtdXNlci1zZWxlY3Q6IG5vbmU7XG4gICAgdXNlci1zZWxlY3Q6IG5vbmU7XG4gICAgLW1zLXRvdWNoLWFjdGlvbjogcGFuLXk7XG4gICAgdG91Y2gtYWN0aW9uOiBwYW4teTtcbiAgICAtd2Via2l0LXRhcC1oaWdobGlnaHQtY29sb3I6IHRyYW5zcGFyZW50O1xufVxuLnNsaWNrLWxpc3Qge1xuICAgIHBvc2l0aW9uOiByZWxhdGl2ZTtcbiAgICBvdmVyZmxvdzogaGlkZGVuO1xuICAgIGRpc3BsYXk6IGJsb2NrO1xuICAgIG1hcmdpbjogMDtcbiAgICBwYWRkaW5nOiAwO1xuXG4gICAgJjpmb2N1cyB7XG4gICAgICAgIG91dGxpbmU6IG5vbmU7XG4gICAgfVxuXG4gICAgJi5kcmFnZ2luZyB7XG4gICAgICAgIGN1cnNvcjogcG9pbnRlcjtcbiAgICAgICAgY3Vyc29yOiBoYW5kO1xuICAgIH1cbn1cbi5zbGljay1zbGlkZXIgLnNsaWNrLXRyYWNrLFxuLnNsaWNrLXNsaWRlciAuc2xpY2stbGlzdCB7XG4gICAgLXdlYmtpdC10cmFuc2Zvcm06IHRyYW5zbGF0ZTNkKDAsIDAsIDApO1xuICAgIC1tb3otdHJhbnNmb3JtOiB0cmFuc2xhdGUzZCgwLCAwLCAwKTtcbiAgICAtbXMtdHJhbnNmb3JtOiB0cmFuc2xhdGUzZCgwLCAwLCAwKTtcbiAgICAtby10cmFuc2Zvcm06IHRyYW5zbGF0ZTNkKDAsIDAsIDApO1xuICAgIHRyYW5zZm9ybTogdHJhbnNsYXRlM2QoMCwgMCwgMCk7XG59XG5cbi5zbGljay10cmFjayB7XG4gICAgcG9zaXRpb246IHJlbGF0aXZlO1xuICAgIGxlZnQ6IDA7XG4gICAgdG9wOiAwO1xuICAgIGRpc3BsYXk6IGJsb2NrO1xuICAgIG1hcmdpbi1sZWZ0OiBhdXRvO1xuICAgIG1hcmdpbi1yaWdodDogYXV0bztcblxuICAgICY6YmVmb3JlLFxuICAgICY6YWZ0ZXIge1xuICAgICAgICBjb250ZW50OiBcIlwiO1xuICAgICAgICBkaXNwbGF5OiB0YWJsZTtcbiAgICB9XG5cbiAgICAmOmFmdGVyIHtcbiAgICAgICAgY2xlYXI6IGJvdGg7XG4gICAgfVxuXG4gICAgLnNsaWNrLWxvYWRpbmcgJiB7XG4gICAgICAgIHZpc2liaWxpdHk6IGhpZGRlbjtcbiAgICB9XG59XG4uc2xpY2stc2xpZGUge1xuICAgIGZsb2F0OiBsZWZ0O1xuICAgIGhlaWdodDogMTAwJTtcbiAgICBtaW4taGVpZ2h0OiAxcHg7XG4gICAgW2Rpcj1cInJ0bFwiXSAmIHtcbiAgICAgICAgZmxvYXQ6IHJpZ2h0O1xuICAgIH1cbiAgICBpbWcge1xuICAgICAgICBkaXNwbGF5OiBibG9jaztcbiAgICB9XG4gICAgJi5zbGljay1sb2FkaW5nIGltZyB7XG4gICAgICAgIGRpc3BsYXk6IG5vbmU7XG4gICAgfVxuXG4gICAgZGlzcGxheTogbm9uZTtcblxuICAgICYuZHJhZ2dpbmcgaW1nIHtcbiAgICAgICAgcG9pbnRlci1ldmVudHM6IG5vbmU7XG4gICAgfVxuXG4gICAgLnNsaWNrLWluaXRpYWxpemVkICYge1xuICAgICAgICBkaXNwbGF5OiBibG9jaztcbiAgICB9XG5cbiAgICAuc2xpY2stbG9hZGluZyAmIHtcbiAgICAgICAgdmlzaWJpbGl0eTogaGlkZGVuO1xuICAgIH1cblxuICAgIC5zbGljay12ZXJ0aWNhbCAmIHtcbiAgICAgICAgZGlzcGxheTogYmxvY2s7XG4gICAgICAgIGhlaWdodDogYXV0bztcbiAgICAgICAgYm9yZGVyOiAxcHggc29saWQgdHJhbnNwYXJlbnQ7XG4gICAgfVxufVxuLnNsaWNrLWFycm93LnNsaWNrLWhpZGRlbiB7XG4gICAgZGlzcGxheTogbm9uZTtcbn1cbiIsIkBjaGFyc2V0IFwiVVRGLThcIjtcblxuLy8gRGVmYXVsdCBWYXJpYWJsZXNcblxuLy8gU2xpY2sgaWNvbiBlbnRpdHkgY29kZXMgb3V0cHV0cyB0aGUgZm9sbG93aW5nXG4vLyBcIlxcMjE5MFwiIG91dHB1dHMgYXNjaWkgY2hhcmFjdGVyIFwi4oaQXCJcbi8vIFwiXFwyMTkyXCIgb3V0cHV0cyBhc2NpaSBjaGFyYWN0ZXIgXCLihpJcIlxuLy8gXCJcXDIwMjJcIiBvdXRwdXRzIGFzY2lpIGNoYXJhY3RlciBcIuKAolwiXG5cbiRzbGljay1mb250LXBhdGg6IFwiLi9mb250cy9cIiAhZGVmYXVsdDtcbiRzbGljay1mb250LWZhbWlseTogXCJzbGlja1wiICFkZWZhdWx0O1xuJHNsaWNrLWxvYWRlci1wYXRoOiBcIi4vXCIgIWRlZmF1bHQ7XG4kc2xpY2stYXJyb3ctY29sb3I6IHdoaXRlICFkZWZhdWx0O1xuJHNsaWNrLWRvdC1jb2xvcjogYmxhY2sgIWRlZmF1bHQ7XG4kc2xpY2stZG90LWNvbG9yLWFjdGl2ZTogJHNsaWNrLWRvdC1jb2xvciAhZGVmYXVsdDtcbiRzbGljay1wcmV2LWNoYXJhY3RlcjogXCJcXDIxOTBcIiAhZGVmYXVsdDtcbiRzbGljay1uZXh0LWNoYXJhY3RlcjogXCJcXDIxOTJcIiAhZGVmYXVsdDtcbiRzbGljay1kb3QtY2hhcmFjdGVyOiBcIlxcMjAyMlwiICFkZWZhdWx0O1xuJHNsaWNrLWRvdC1zaXplOiA2cHggIWRlZmF1bHQ7XG4kc2xpY2stb3BhY2l0eS1kZWZhdWx0OiAwLjc1ICFkZWZhdWx0O1xuJHNsaWNrLW9wYWNpdHktb24taG92ZXI6IDEgIWRlZmF1bHQ7XG4kc2xpY2stb3BhY2l0eS1ub3QtYWN0aXZlOiAwLjI1ICFkZWZhdWx0O1xuXG5AZnVuY3Rpb24gc2xpY2staW1hZ2UtdXJsKCR1cmwpIHtcbiAgICBAaWYgZnVuY3Rpb24tZXhpc3RzKGltYWdlLXVybCkge1xuICAgICAgICBAcmV0dXJuIGltYWdlLXVybCgkdXJsKTtcbiAgICB9XG4gICAgQGVsc2Uge1xuICAgICAgICBAcmV0dXJuIHVybCgkc2xpY2stbG9hZGVyLXBhdGggKyAkdXJsKTtcbiAgICB9XG59XG5cbkBmdW5jdGlvbiBzbGljay1mb250LXVybCgkdXJsKSB7XG4gICAgQGlmIGZ1bmN0aW9uLWV4aXN0cyhmb250LXVybCkge1xuICAgICAgICBAcmV0dXJuIGZvbnQtdXJsKCR1cmwpO1xuICAgIH1cbiAgICBAZWxzZSB7XG4gICAgICAgIEByZXR1cm4gdXJsKCRzbGljay1mb250LXBhdGggKyAkdXJsKTtcbiAgICB9XG59XG5cbi8qIFNsaWRlciAqL1xuXG4uc2xpY2stbGlzdCB7XG4gICAgLnNsaWNrLWxvYWRpbmcgJiB7XG4gICAgICAgIGJhY2tncm91bmQ6ICNmZmYgc2xpY2staW1hZ2UtdXJsKFwiYWpheC1sb2FkZXIuZ2lmXCIpIGNlbnRlciBjZW50ZXIgbm8tcmVwZWF0O1xuICAgIH1cbn1cblxuLyogSWNvbnMgKi9cbkBpZiAkc2xpY2stZm9udC1mYW1pbHkgPT0gXCJzbGlja1wiIHtcbiAgICBAZm9udC1mYWNlIHtcbiAgICAgICAgZm9udC1mYW1pbHk6IFwic2xpY2tcIjtcbiAgICAgICAgc3JjOiBzbGljay1mb250LXVybChcInNsaWNrLmVvdFwiKTtcbiAgICAgICAgc3JjOiBzbGljay1mb250LXVybChcInNsaWNrLmVvdD8jaWVmaXhcIikgZm9ybWF0KFwiZW1iZWRkZWQtb3BlbnR5cGVcIiksIHNsaWNrLWZvbnQtdXJsKFwic2xpY2sud29mZlwiKSBmb3JtYXQoXCJ3b2ZmXCIpLCBzbGljay1mb250LXVybChcInNsaWNrLnR0ZlwiKSBmb3JtYXQoXCJ0cnVldHlwZVwiKSwgc2xpY2stZm9udC11cmwoXCJzbGljay5zdmcjc2xpY2tcIikgZm9ybWF0KFwic3ZnXCIpO1xuICAgICAgICBmb250LXdlaWdodDogbm9ybWFsO1xuICAgICAgICBmb250LXN0eWxlOiBub3JtYWw7XG4gICAgfVxufVxuXG4vKiBBcnJvd3MgKi9cblxuLnNsaWNrLXByZXYsXG4uc2xpY2stbmV4dCB7XG4gICAgcG9zaXRpb246IGFic29sdXRlO1xuICAgIGRpc3BsYXk6IGJsb2NrO1xuICAgIGhlaWdodDogMjBweDtcbiAgICB3aWR0aDogMjBweDtcbiAgICBsaW5lLWhlaWdodDogMHB4O1xuICAgIGZvbnQtc2l6ZTogMHB4O1xuICAgIGN1cnNvcjogcG9pbnRlcjtcbiAgICBiYWNrZ3JvdW5kOiB0cmFuc3BhcmVudDtcbiAgICBjb2xvcjogdHJhbnNwYXJlbnQ7XG4gICAgdG9wOiA1MCU7XG4gICAgLXdlYmtpdC10cmFuc2Zvcm06IHRyYW5zbGF0ZSgwLCAtNTAlKTtcbiAgICAtbXMtdHJhbnNmb3JtOiB0cmFuc2xhdGUoMCwgLTUwJSk7XG4gICAgdHJhbnNmb3JtOiB0cmFuc2xhdGUoMCwgLTUwJSk7XG4gICAgcGFkZGluZzogMDtcbiAgICBib3JkZXI6IG5vbmU7XG4gICAgb3V0bGluZTogbm9uZTtcbiAgICAmOmhvdmVyLCAmOmZvY3VzIHtcbiAgICAgICAgb3V0bGluZTogbm9uZTtcbiAgICAgICAgYmFja2dyb3VuZDogdHJhbnNwYXJlbnQ7XG4gICAgICAgIGNvbG9yOiB0cmFuc3BhcmVudDtcbiAgICAgICAgJjpiZWZvcmUge1xuICAgICAgICAgICAgb3BhY2l0eTogJHNsaWNrLW9wYWNpdHktb24taG92ZXI7XG4gICAgICAgIH1cbiAgICB9XG4gICAgJi5zbGljay1kaXNhYmxlZDpiZWZvcmUge1xuICAgICAgICBvcGFjaXR5OiAkc2xpY2stb3BhY2l0eS1ub3QtYWN0aXZlO1xuICAgIH1cbiAgICAmOmJlZm9yZSB7XG4gICAgICAgIGZvbnQtZmFtaWx5OiAkc2xpY2stZm9udC1mYW1pbHk7XG4gICAgICAgIGZvbnQtc2l6ZTogMjBweDtcbiAgICAgICAgbGluZS1oZWlnaHQ6IDE7XG4gICAgICAgIGNvbG9yOiAkc2xpY2stYXJyb3ctY29sb3I7XG4gICAgICAgIG9wYWNpdHk6ICRzbGljay1vcGFjaXR5LWRlZmF1bHQ7XG4gICAgICAgIC13ZWJraXQtZm9udC1zbW9vdGhpbmc6IGFudGlhbGlhc2VkO1xuICAgICAgICAtbW96LW9zeC1mb250LXNtb290aGluZzogZ3JheXNjYWxlO1xuICAgIH1cbn1cblxuLnNsaWNrLXByZXYge1xuICAgIGxlZnQ6IC0yNXB4O1xuICAgIFtkaXI9XCJydGxcIl0gJiB7XG4gICAgICAgIGxlZnQ6IGF1dG87XG4gICAgICAgIHJpZ2h0OiAtMjVweDtcbiAgICB9XG4gICAgJjpiZWZvcmUge1xuICAgICAgICBjb250ZW50OiAkc2xpY2stcHJldi1jaGFyYWN0ZXI7XG4gICAgICAgIFtkaXI9XCJydGxcIl0gJiB7XG4gICAgICAgICAgICBjb250ZW50OiAkc2xpY2stbmV4dC1jaGFyYWN0ZXI7XG4gICAgICAgIH1cbiAgICB9XG59XG5cbi5zbGljay1uZXh0IHtcbiAgICByaWdodDogLTI1cHg7XG4gICAgW2Rpcj1cInJ0bFwiXSAmIHtcbiAgICAgICAgbGVmdDogLTI1cHg7XG4gICAgICAgIHJpZ2h0OiBhdXRvO1xuICAgIH1cbiAgICAmOmJlZm9yZSB7XG4gICAgICAgIGNvbnRlbnQ6ICRzbGljay1uZXh0LWNoYXJhY3RlcjtcbiAgICAgICAgW2Rpcj1cInJ0bFwiXSAmIHtcbiAgICAgICAgICAgIGNvbnRlbnQ6ICRzbGljay1wcmV2LWNoYXJhY3RlcjtcbiAgICAgICAgfVxuICAgIH1cbn1cblxuLyogRG90cyAqL1xuXG4uc2xpY2stZG90dGVkLnNsaWNrLXNsaWRlciB7XG4gICAgbWFyZ2luLWJvdHRvbTogMzBweDtcbn1cblxuLnNsaWNrLWRvdHMge1xuICAgIHBvc2l0aW9uOiBhYnNvbHV0ZTtcbiAgICBib3R0b206IC0yNXB4O1xuICAgIGxpc3Qtc3R5bGU6IG5vbmU7XG4gICAgZGlzcGxheTogYmxvY2s7XG4gICAgdGV4dC1hbGlnbjogY2VudGVyO1xuICAgIHBhZGRpbmc6IDA7XG4gICAgbWFyZ2luOiAwO1xuICAgIHdpZHRoOiAxMDAlO1xuICAgIGxpIHtcbiAgICAgICAgcG9zaXRpb246IHJlbGF0aXZlO1xuICAgICAgICBkaXNwbGF5OiBpbmxpbmUtYmxvY2s7XG4gICAgICAgIGhlaWdodDogMjBweDtcbiAgICAgICAgd2lkdGg6IDIwcHg7XG4gICAgICAgIG1hcmdpbjogMCA1cHg7XG4gICAgICAgIHBhZGRpbmc6IDA7XG4gICAgICAgIGN1cnNvcjogcG9pbnRlcjtcbiAgICAgICAgYnV0dG9uIHtcbiAgICAgICAgICAgIGJvcmRlcjogMDtcbiAgICAgICAgICAgIGJhY2tncm91bmQ6IHRyYW5zcGFyZW50O1xuICAgICAgICAgICAgZGlzcGxheTogYmxvY2s7XG4gICAgICAgICAgICBoZWlnaHQ6IDIwcHg7XG4gICAgICAgICAgICB3aWR0aDogMjBweDtcbiAgICAgICAgICAgIG91dGxpbmU6IG5vbmU7XG4gICAgICAgICAgICBsaW5lLWhlaWdodDogMHB4O1xuICAgICAgICAgICAgZm9udC1zaXplOiAwcHg7XG4gICAgICAgICAgICBjb2xvcjogdHJhbnNwYXJlbnQ7XG4gICAgICAgICAgICBwYWRkaW5nOiA1cHg7XG4gICAgICAgICAgICBjdXJzb3I6IHBvaW50ZXI7XG4gICAgICAgICAgICAmOmhvdmVyLCAmOmZvY3VzIHtcbiAgICAgICAgICAgICAgICBvdXRsaW5lOiBub25lO1xuICAgICAgICAgICAgICAgICY6YmVmb3JlIHtcbiAgICAgICAgICAgICAgICAgICAgb3BhY2l0eTogJHNsaWNrLW9wYWNpdHktb24taG92ZXI7XG4gICAgICAgICAgICAgICAgfVxuICAgICAgICAgICAgfVxuICAgICAgICAgICAgJjpiZWZvcmUge1xuICAgICAgICAgICAgICAgIHBvc2l0aW9uOiBhYnNvbHV0ZTtcbiAgICAgICAgICAgICAgICB0b3A6IDA7XG4gICAgICAgICAgICAgICAgbGVmdDogMDtcbiAgICAgICAgICAgICAgICBjb250ZW50OiAkc2xpY2stZG90LWNoYXJhY3RlcjtcbiAgICAgICAgICAgICAgICB3aWR0aDogMjBweDtcbiAgICAgICAgICAgICAgICBoZWlnaHQ6IDIwcHg7XG4gICAgICAgICAgICAgICAgZm9udC1mYW1pbHk6ICRzbGljay1mb250LWZhbWlseTtcbiAgICAgICAgICAgICAgICBmb250LXNpemU6ICRzbGljay1kb3Qtc2l6ZTtcbiAgICAgICAgICAgICAgICBsaW5lLWhlaWdodDogMjBweDtcbiAgICAgICAgICAgICAgICB0ZXh0LWFsaWduOiBjZW50ZXI7XG4gICAgICAgICAgICAgICAgY29sb3I6ICRzbGljay1kb3QtY29sb3I7XG4gICAgICAgICAgICAgICAgb3BhY2l0eTogJHNsaWNrLW9wYWNpdHktbm90LWFjdGl2ZTtcbiAgICAgICAgICAgICAgICAtd2Via2l0LWZvbnQtc21vb3RoaW5nOiBhbnRpYWxpYXNlZDtcbiAgICAgICAgICAgICAgICAtbW96LW9zeC1mb250LXNtb290aGluZzogZ3JheXNjYWxlO1xuICAgICAgICAgICAgfVxuICAgICAgICB9XG4gICAgICAgICYuc2xpY2stYWN0aXZlIGJ1dHRvbjpiZWZvcmUge1xuICAgICAgICAgICAgY29sb3I6ICRzbGljay1kb3QtY29sb3ItYWN0aXZlO1xuICAgICAgICAgICAgb3BhY2l0eTogJHNsaWNrLW9wYWNpdHktZGVmYXVsdDtcbiAgICAgICAgfVxuICAgIH1cbn1cbiIsIlxuJHByaW1hcnkgOiAjZWNkZmM4O1xuJHNlY29uZGFyeSA6ICNiOWM3ZTI7XG4kZGFyazogIzU2NTY1NjtcbiRmb250LXNpemUtYmFzZTogMC44NXJlbTtcbiRib3JkZXItcmFkaXVzLTJ4bDogMjBweDtcbiRsaXN0LWdyb3VwLWJvcmRlci1yYWRpdXM6IDA7XG5cbi8qIG9wZW4tc2Fucy1yZWd1bGFyIC0gbGF0aW4gKi9cbkBmb250LWZhY2Uge1xuICBmb250LWZhbWlseTogJ011bGlzaCc7XG4gIHNyYzogdXJsKCcuLi9mb250cy9NdWxpc2gtVmFyaWFibGVGb250X3dnaHQudHRmJykgZm9ybWF0KFwidHJ1ZXR5cGVcIik7XG59XG5AZm9udC1mYWNlIHtcbiAgZm9udC1mYW1pbHk6ICdPdm8nO1xuICBzcmM6IHVybCgnLi4vZm9udHMvT3ZvLVJlZ3VsYXIudHRmJykgZm9ybWF0KFwidHJ1ZXR5cGVcIik7XG59XG5cbmJvZHkge1xuICBmb250LWZhbWlseTogJ011bGlzaCcsIHNhbnMtc2VyaWY7XG4gIGZvbnQtc2l6ZTogMTRweDtcbn1cblxuJG1vZGFsLXhsOiAxNDQwcHg7XG4kY29udGFpbmVyLW1heC13aWR0aHM6IChcbiAgICAgICAgc206IDU0MHB4LFxuICAgICAgICBtZDogNzIwcHgsXG4gICAgICAgIGxnOiA5NjBweCxcbiAgICAgICAgeGw6IDExNDBweCxcbiAgICAgICAgeHhsOiAxNDQwcHhcbikgIWRlZmF1bHQ7XG5cbi5mZi1vdm8ge1xuICBmb250LWZhbWlseTogXCJPdm9cIiwgc2Fucy1zZXJpZjtcbn1cbi5mZi1tdWxpc2gge1xuICBmb250LWZhbWlseTogJ011bGlzaCcsIHNhbnMtc2VyaWY7XG59XG4uYmctY3VzdG9tLWdyYWRpZW50IHtcbiAgYmFja2dyb3VuZDogbGluZWFyLWdyYWRpZW50KDkwZGVnLCAjNmM3NTdkLCAjY2VkNGRhKTtcbn1cbi5jdXJzb3ItcG9pbnRlciB7XG4gIGN1cnNvcjogcG9pbnRlcjtcbn1cbi5iZy1jb3ZlciB7XG4gIHBvc2l0aW9uOiByZWxhdGl2ZTtcbiAgYmFja2dyb3VuZC1zaXplOiBjb3ZlciAhaW1wb3J0YW50O1xuICBiYWNrZ3JvdW5kLXBvc2l0aW9uOiBjZW50ZXIgY2VudGVyICFpbXBvcnRhbnQ7XG4gIHNwYW4uYmctb3ZlcmxheSB7XG4gICAgcG9zaXRpb246IGFic29sdXRlO1xuICAgIHRvcDogMDtsZWZ0OiAwO2JvdHRvbTogMDtyaWdodDogMDtcbiAgICBiYWNrZ3JvdW5kLWNvbG9yOiByZ2JhKCMwMDAsMC40KTtcbiAgfVxuICAmLmJnLW92ZXJsYXkge1xuICAgICY6YWZ0ZXIge1xuICAgIH1cbiAgfVxufVxuXG5cbi5mb3JtLWNvbnRyb2wge1xuICAmOmZvY3VzIHtcbiAgICBib3gtc2hhZG93OiBub25lO1xuICAgIG91dGxpbmU6IDA7XG4gIH1cbn1cblxuXG4ucmFkaW8ge1xuICBtYXJnaW46IDAuNXJlbTtcbiAgaW5wdXRbdHlwZT1cInJhZGlvXCJdIHtcbiAgICBwb3NpdGlvbjogYWJzb2x1dGU7XG4gICAgb3BhY2l0eTogMDtcbiAgICArIC5yYWRpby1sYWJlbCB7XG4gICAgICAmOmJlZm9yZSB7XG4gICAgICAgIGNvbnRlbnQ6ICcnO1xuICAgICAgICBiYWNrZ3JvdW5kOiB3aGl0ZTtcbiAgICAgICAgYm9yZGVyLXJhZGl1czogMTAwJTtcbiAgICAgICAgYm9yZGVyOiAxcHggc29saWQgJGRhcms7XG4gICAgICAgIGRpc3BsYXk6IGlubGluZS1ibG9jaztcbiAgICAgICAgd2lkdGg6IDEuMmVtO1xuICAgICAgICBoZWlnaHQ6IDEuMmVtO1xuICAgICAgICBwb3NpdGlvbjogcmVsYXRpdmU7XG4gICAgICAgIG1hcmdpbi1yaWdodDogMWVtO1xuICAgICAgICB2ZXJ0aWNhbC1hbGlnbjogdG9wO1xuICAgICAgICBjdXJzb3I6IHBvaW50ZXI7XG4gICAgICAgIHRleHQtYWxpZ246IGNlbnRlcjtcbiAgICAgICAgdHJhbnNpdGlvbjogYWxsIDI1MG1zIGVhc2U7XG4gICAgICAgIHRvcDogMnB4O1xuICAgICAgfVxuICAgIH1cbiAgICAmOmNoZWNrZWQge1xuICAgICAgKyAucmFkaW8tbGFiZWwge1xuICAgICAgICAmOmJlZm9yZSB7XG4gICAgICAgICAgLy9ib3JkZXI6IDJweCBzb2xpZCAkc2Vjb25kYXJ5O1xuICAgICAgICAgIGJhY2tncm91bmQtY29sb3I6ICRkYXJrO1xuICAgICAgICAgIGJveC1zaGFkb3c6IGluc2V0IDAgMCAwIDJweCAjZmZmZmZmO1xuICAgICAgICB9XG4gICAgICB9XG4gICAgfVxuICAgICsgLnJhZGlvLWxhYmVsIHtcbiAgICAgICY6ZW1wdHkge1xuICAgICAgICAmOmJlZm9yZSB7XG4gICAgICAgICAgbWFyZ2luLXJpZ2h0OiAwO1xuICAgICAgICB9XG4gICAgICB9XG4gICAgfVxuICB9XG59XG4iLCJAaW1wb3J0IFwiY3VzdG9tXCI7XG5AaW1wb3J0IFwibWl4aW5cIjtcblxuLmNvbnRhaW5lci1wcm9kdWN0IHtcbiAgYm9yZGVyOiAycHggc29saWQgcmdiYSgyMTQsIDIxNCwgMjE0LCAwLjQpO1xuICBib3JkZXItcmFkaXVzOiA4cHg7XG4gIGJhY2tncm91bmQtY29sb3I6ICNmZmZmZmY7XG4gIG1pbi1oZWlnaHQ6IDM1MHB4O1xuICB0cmFuc2l0aW9uOiBhbGwgMC40cztcbiAgei1pbmRleDogMTAwO1xuICAuY29udGFpbmVyLWltYWdlIHtcbiAgICBwYWRkaW5nLXRvcDogNDBweCAhaW1wb3J0YW50O1xuICAgIGhlaWdodDogMTc3cHg7XG4gICAgb3ZlcmZsb3c6IGhpZGRlbjtcbiAgICBiYWNrZ3JvdW5kLXNpemU6IGNvbnRhaW4gIWltcG9ydGFudDtcbiAgICBiYWNrZ3JvdW5kLXJlcGVhdDogbm8tcmVwZWF0O1xuICAgIGJhY2tncm91bmQtcG9zaXRpb246IGNlbnRlciBjZW50ZXI7XG4gICAgJi5iZy1wcm9kdWN0LWRlZmF1bHQge1xuICAgICAgYmFja2dyb3VuZC1zaXplOiAxMzBweCAhaW1wb3J0YW50O1xuICAgIH1cbiAgICA+ZGl2IHtcbiAgICAgIHRvcDogMDtcbiAgICAgIGxlZnQ6IDEwcHg7XG4gICAgfVxuICB9XG4gIC5jb250YWluZXItZGVzY3JpcHRpb24ge1xuICAgIG1pbi1oZWlnaHQ6IDE1MHB4O1xuICAgIC5jb250YWluZXItbm90YXRpb24tYXZlcmFnZSB7XG4gICAgICBtaW4taGVpZ2h0OiAyMnB4O1xuICAgIH1cbiAgICAuY29udGFpbmVyLXRpdGxlIHtcbiAgICAgIG1pbi1oZWlnaHQ6IDgwcHg7XG4gICAgfVxuICAgIC5hcGVyY3Uge1xuICAgICAgZm9udC13ZWlnaHQ6IDYwMDtcbiAgICAgIGNvbG9yOiAjZmZmZmZmO1xuICAgICAgb3ZlcmZsb3c6IGhpZGRlbjtcbiAgICAgIHRyYW5zaXRpb246IGFsbCAwLjRzO1xuICAgICAgZm9udC1zaXplOiAxMnB4O1xuICAgICAgbGVmdDogMDtcbiAgICAgIHJpZ2h0OiAwO1xuICAgICAgYm90dG9tOiAwO1xuICAgICAgaGVpZ2h0OiAwO1xuICAgICAgc3BhbiB7XG4gICAgICAgIG1hcmdpbi10b3A6IDEycHg7XG4gICAgICAgIGkge1xuICAgICAgICAgIGZvbnQtc2l6ZTogMTVweDtcbiAgICAgICAgfVxuICAgICAgfVxuICAgIH1cbiAgfVxuICAmOmhvdmVyIHtcbiAgICBjdXJzb3I6IHBvaW50ZXI7XG4gICAgdGV4dC1kZWNvcmF0aW9uOiBub25lO1xuICAgIGJveC1zaGFkb3c6IDAgMnB4IDIzcHggI0U1RTVFNTtcbiAgICB0b3A6IC01cHggIWltcG9ydGFudDtcbiAgfVxuICBAbWVkaWEgc2NyZWVuIGFuZCAobWF4LXdpZHRoOiA1NTBweCkge1xuICAgIG1pbi1oZWlnaHQ6IDM3NXB4O1xuICAgIC5jb250YWluZXItZGVzY3JpcHRpb24ge1xuICAgICAgbWluLWhlaWdodDogMTc1cHg7XG4gICAgfVxuICB9XG59XG5cbmRpdi5jZXJ0aWZpY2F0aW9uIHtcbiAgYm90dG9tOiAyMHB4OyByaWdodDogMjBweDtcbiAgZGl2LmNvbnRhaW5lci1tYWRlLWluLWZyYW5jZSwgZGl2LmNvbnRhaW5lci1tYWRlLWluLWl0YWx5IHtcbiAgICBwYWRkaW5nLXRvcDogMjVweDtcbiAgICBmb250LXNpemU6IDExcHg7XG4gICAgd2lkdGg6IDYwcHg7IGhlaWdodDogNjBweDtcbiAgICBsaW5lLWhlaWdodDogMTJweDtcbiAgICB0b3A6IDVweDtcbiAgICAmOmJlZm9yZSB7XG4gICAgICBjb250ZW50OiB1cmwoXCIvcHVibGljL2ltZy9zaG9wL2ZyYW5jZS5zdmdcIik7XG4gICAgICBwb3NpdGlvbjogYWJzb2x1dGU7XG4gICAgICB0b3A6IDA7XG4gICAgICBsZWZ0OiAxOXB4O1xuICAgIH1cbiAgfVxuICBkaXYuY29udGFpbmVyLW1hZGUtaW4taXRhbHkge1xuICAgICY6YmVmb3JlIHtcbiAgICAgIGNvbnRlbnQ6IHVybChcIi9wdWJsaWMvaW1nL3Nob3AvaXRhbHkucG5nXCIpO1xuICAgIH1cbiAgfVxuICBpbWcge1xuICAgIG1heC13aWR0aDogNTBweDtcbiAgfVxuXG4gIEBpbmNsdWRlIGZvci1tZC1kb3duIHtcbiAgICBwb3NpdGlvbjogcmVsYXRpdmUgIWltcG9ydGFudDtcbiAgICBib3R0b206IGluaXRpYWw7XG4gICAgcmlnaHQ6IGluaXRpYWw7XG4gIH1cbn1cblxuLmZvdG9yYW1hIHtcbiAgLmZvdG9yYW1hX193cmFwIHtcbiAgICBtYXJnaW46IGF1dG87XG4gICAgLmZvdG9yYW1hX19uYXYtd3JhcCB7XG4gICAgICBtYXJnaW46IDI1cHggYXV0bztcbiAgICB9XG4gIH1cbn1cblxuZGl2LmNvbnRhaW5lci10YWIge1xuICBtaW4taGVpZ2h0OiAxOTBweDtcbiAgdWwge1xuICAgIGxpIHtcbiAgICAgIGEge1xuICAgICAgICB0cmFuc2l0aW9uOiBhbGwgMC41cztcbiAgICAgICAgYm9yZGVyLWJvdHRvbTogMXB4IHNvbGlkIHRyYW5zcGFyZW50O1xuICAgICAgICAmLmFjdGl2ZSB7XG4gICAgICAgICAgLy9mb250LXdlaWdodDogYm9sZDtcbiAgICAgICAgICBjb2xvcjogIzAwMDAwMCAhaW1wb3J0YW50O1xuICAgICAgICAgIGJvcmRlci1ib3R0b206IDFweCBzb2xpZCAkZGFyaztcbiAgICAgICAgfVxuICAgICAgfVxuICAgIH1cbiAgfVxuICBoMiB7XG4gICAgZm9udC1mYW1pbHk6IFwiT3ZvXCIsIHNhbnMtc2VyaWY7XG4gICAgZm9udC1zaXplOiAxLjI3NXJlbSAhaW1wb3J0YW50O1xuICB9XG4gIGgzIHtcbiAgICBmb250LWZhbWlseTogXCJPdm9cIiwgc2Fucy1zZXJpZjtcbiAgICBmb250LXNpemU6IDEuMTUwcmVtICFpbXBvcnRhbnQ7XG4gICAgcGFkZGluZy10b3A6IDhweDtcbiAgfVxufVxuXG5kaXYuY29udGFpbmVyLWF2aXMge1xuICBib3JkZXItYm90dG9tOiAxcHggZGFzaGVkICNjY2NjY2M7XG4gIC5maXJzdG5hbWUge1xuICAgICAgJjpiZWZvcmUge1xuICAgICAgICBmb250LWZhbWlseTogXCJGb250IEF3ZXNvbWUgNiBGcmVlXCIsIHNhbnMtc2VyaWY7XG4gICAgICAgIGZvbnQtd2VpZ2h0OiA5MDA7XG4gICAgICAgIGZvbnQtc2l6ZTogMTNweDtcbiAgICAgICAgY29udGVudDogXCJcXGYwMDdcIiAhaW1wb3J0YW50O1xuICAgICAgICBwb3NpdGlvbjogYWJzb2x1dGU7XG4gICAgICAgIGxlZnQ6IDNweDtcbiAgICAgICAgdG9wOiAwO1xuICAgICAgfVxuICB9XG59XG4iLCJAbWl4aW4gZm9yLXh4bC1kb3duIHtcbiAgQG1lZGlhIChtYXgtd2lkdGg6IDEzOTlweCkgeyBAY29udGVudDsgfVxufVxuQG1peGluIGZvci14bC1kb3duIHtcbiAgQG1lZGlhIChtYXgtd2lkdGg6IDExOTlweCkgeyBAY29udGVudDsgfVxufVxuQG1peGluIGZvci1sZy1kb3duIHtcbiAgQG1lZGlhIChtYXgtd2lkdGg6IDk5MXB4KSB7IEBjb250ZW50OyB9XG59XG5AbWl4aW4gZm9yLW1kLWRvd24ge1xuICBAbWVkaWEgKG1heC13aWR0aDogNzY3cHgpIHsgQGNvbnRlbnQ7IH1cbn1cbkBtaXhpbiBmb3Itc20tZG93biB7XG4gIEBtZWRpYSAobWF4LXdpZHRoOiA1NzVweCkgeyBAY29udGVudDsgfVxufVxuQG1peGluIGZvci14cy1kb3duIHtcbiAgQG1lZGlhIChtYXgtd2lkdGg6IDMwMHB4KSB7IEBjb250ZW50OyB9XG59XG5cbkBtaXhpbiBmb3IteHhsLXVwIHtcbiAgQG1lZGlhIChtaW4td2lkdGg6IDE0MDBweCkgeyBAY29udGVudDsgfVxufVxuQG1peGluIGZvci14bC11cCB7XG4gIEBtZWRpYSAobWluLXdpZHRoOiAxMjAwcHgpIHsgQGNvbnRlbnQ7IH1cbn1cbkBtaXhpbiBmb3ItbGctdXAge1xuICBAbWVkaWEgKG1pbi13aWR0aDogOTkycHgpIHsgQGNvbnRlbnQ7IH1cbn1cbkBtaXhpbiBmb3ItbWQtdXAge1xuICBAbWVkaWEgKG1pbi13aWR0aDogNzY4cHgpIHsgQGNvbnRlbnQ7IH1cbn1cbkBtaXhpbiBmb3Itc20tdXAge1xuICBAbWVkaWEgKG1pbi13aWR0aDogNTc2cHgpIHsgQGNvbnRlbnQ7IH1cbn1cbkBtaXhpbiBmb3IteHMtdXAge1xuICBAbWVkaWEgKG1pbi13aWR0aDogMzAxcHgpIHsgQGNvbnRlbnQ7IH1cbn1cbiJdLCJuYW1lcyI6W10sInNvdXJjZVJvb3QiOiIifQ==*/